import { WalletConfig } from '../providers/CrossmintWalletProvider.js';
import * as _crossmint_client_sdk_smart_wallet from '@crossmint/client-sdk-smart-wallet';
import 'react/jsx-runtime';
import 'react';
import '@crossmint/common-sdk-base';

declare function useWallet(): {
    status: "not-loaded" | "in-progress" | "loaded" | "loading-error";
    wallet?: _crossmint_client_sdk_smart_wallet.EVMSmartWallet;
    passkeySigner?: _crossmint_client_sdk_smart_wallet.PasskeySigner;
    error?: _crossmint_client_sdk_smart_wallet.SmartWalletError;
    getOrCreateWallet: (config?: Pick<WalletConfig, "signer" | "type">) => Promise<{
        startedCreation: boolean;
        reason?: string;
    }>;
    createPasskeySigner: (name: string) => Promise<_crossmint_client_sdk_smart_wallet.PasskeySigner | null>;
    clearWallet: () => void;
};

export { useWallet };
